DO $$
    DECLARE
        _path character varying(256) := 'patch-2026_03_11-UserAddressBookLinks_CreatedAt';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 16689) THEN
            RETURN;
        END IF;

        BEGIN
 		ALTER TABLE public."UserAddressBookLinks" ADD "CreatedAt" timestamp without time zone DEFAULT timezone('utc', now()); 
		UPDATE public."UserAddressBookLinks" SET "CreatedAt" = "Timestamp";

		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;